Quote a time-boxed prepaid InferCrane Cloud deployment
POST
/
api
/
v1
/
managed-deployment-quotes
Quote a time-boxed prepaid InferCrane Cloud deployment
curl --request POST \
--url http://127.0.0.1:18000/api/v1/managed-deployment-quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compute_mode": "elastic",
"gpu": "<string>",
"gpu_count": 1,
"provider": "<string>",
"runtime_seconds": 43650,
"region": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/managed-deployment-quotes"
payload = {
"compute_mode": "elastic",
"gpu": "<string>",
"gpu_count": 1,
"provider": "<string>",
"runtime_seconds": 43650,
"region": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compute_mode: 'elastic',
gpu: '<string>',
gpu_count: 1,
provider: '<string>',
runtime_seconds: 43650,
region: '<string>'
})
};
fetch('http://127.0.0.1:18000/api/v1/managed-deployment-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/managed-deployment-quotes"
payload := strings.NewReader("{\n \"compute_mode\": \"elastic\",\n \"gpu\": \"<string>\",\n \"gpu_count\": 1,\n \"provider\": \"<string>\",\n \"runtime_seconds\": 43650,\n \"region\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"affordable": true,
"disclosure": "<string>",
"funding_mode": "prepaid",
"quote": {
"cleanup_allowance_seconds": 61,
"currency": "USD",
"gpu": "<string>",
"gpu_count": 1,
"observed_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"reserved_microusd": 2,
"retail_hourly_microusd": 2,
"runtime_limit_seconds": 43650,
"state": "current",
"valid_until": "2023-11-07T05:31:56Z",
"region": "<string>"
},
"reservation_is_charge": false,
"shortfall_microusd": 1,
"wallet": {
"available_microusd": 123,
"balance_microusd": 123,
"currency": "USD",
"debt_microusd": 1,
"reserved_microusd": 1,
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Allowed value:
"elastic"Required string length:
1 - 128Required string length:
1 - 64Required range:
900 <= x <= 86400Must be a multiple of 60Maximum string length:
128⌘I
Quote a time-boxed prepaid InferCrane Cloud deployment
curl --request POST \
--url http://127.0.0.1:18000/api/v1/managed-deployment-quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compute_mode": "elastic",
"gpu": "<string>",
"gpu_count": 1,
"provider": "<string>",
"runtime_seconds": 43650,
"region": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/managed-deployment-quotes"
payload = {
"compute_mode": "elastic",
"gpu": "<string>",
"gpu_count": 1,
"provider": "<string>",
"runtime_seconds": 43650,
"region": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compute_mode: 'elastic',
gpu: '<string>',
gpu_count: 1,
provider: '<string>',
runtime_seconds: 43650,
region: '<string>'
})
};
fetch('http://127.0.0.1:18000/api/v1/managed-deployment-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/managed-deployment-quotes"
payload := strings.NewReader("{\n \"compute_mode\": \"elastic\",\n \"gpu\": \"<string>\",\n \"gpu_count\": 1,\n \"provider\": \"<string>\",\n \"runtime_seconds\": 43650,\n \"region\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"affordable": true,
"disclosure": "<string>",
"funding_mode": "prepaid",
"quote": {
"cleanup_allowance_seconds": 61,
"currency": "USD",
"gpu": "<string>",
"gpu_count": 1,
"observed_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"reserved_microusd": 2,
"retail_hourly_microusd": 2,
"runtime_limit_seconds": 43650,
"state": "current",
"valid_until": "2023-11-07T05:31:56Z",
"region": "<string>"
},
"reservation_is_charge": false,
"shortfall_microusd": 1,
"wallet": {
"available_microusd": 123,
"balance_microusd": 123,
"currency": "USD",
"debt_microusd": 1,
"reserved_microusd": 1,
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}